Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504624 - app-vim/youcompleteme-? version bump
Summary: app-vim/youcompleteme-? version bump
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 3 votes (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2014-03-14 19:53 UTC by Marek Behún
Modified: 2020-02-25 10:07 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
youcompleteme-20150902.ebuild (youcompleteme-20150902.ebuild,3.73 KB, text/plain)
2015-09-08 23:50 UTC, Dan Goodliffe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Behún 2014-03-14 19:53:05 UTC
Hello, is it possible to add new version of app-vim/youcompleteme to the repository? Currently there are only 20130910, which is quite old (the software has evolved much since), and 99999999 (which I cannot even build).
Comment 1 Tim Harder gentoo-dev 2014-03-15 00:25:28 UTC
I made a newer snapshot a while ago, but ran into test failures. I'll try to look at the current situation in the next few days and workaround failing tests if possible.
Comment 2 Marek Behún 2014-08-07 12:06:41 UTC
Anyone doing anything with this?
Comment 3 Dan Goodliffe 2015-09-08 23:50:35 UTC
Created attachment 411372 [details]
youcompleteme-20150902.ebuild

I made the attached ebuild based on the 99999999 ebuild, but downloads the required archives from github instead of using git. It's a bit messy because of how the archives are unpacked by default (I let emerge unpack them, then move them into the places where the original build process expects them)
It works for me... might be something someone can make use of :)
Comment 4 Christohper Harrington 2016-01-16 05:58:11 UTC
Another vote for bumping, please.
Comment 5 Tetja Rediske 2016-03-30 16:29:18 UTC
The ebuild above misses atleast two deps:

dev-cpp/gtest
dev-cpp/gmock

Current stable version doesn't work for me, if I load a C++ File with it vim will just print some "control sequences", if you press any key.
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-02-25 10:07:56 UTC
The package was removed.